> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1configuration



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Configuration//swagger/v1/swagger.json get /api/v1/Configuration
openapi: 3.0.0
info:
  title: NDS.Services.Configuration
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Configuration/
security: []
paths:
  /api/v1/Configuration:
    get:
      tags:
        - Configuration
      operationId: Configuration_GetConfigNodes
      parameters:
        - name: request
          in: query
          schema:
            nullable: true
            oneOf:
              - $ref: '#/components/schemas/GetConfigNodesRequest'
          x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConfigNodesResult'
components:
  schemas:
    GetConfigNodesRequest:
      type: object
      additionalProperties: false
    GetConfigNodesResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Nodes:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/ConfigNode'
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    ConfigNode:
      type: object
      additionalProperties: false
      properties:
        Name:
          type: string
          nullable: true
        Value:
          nullable: true
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true

````